Danger = {}
class("Danger").extends(NobleSprite)

function Danger:init(x, y, dangerousObject)
    Danger.super.init(self, "assets/sprites/danger", true)
    self.dangerousObject = dangerousObject

    -- Animation properties
    self.animation:addState("run", 1, 5)
    self.animation.run.frameDuration = 2

    self.animation:setState("run")

    -- Collision properties
    self:setZIndex(ZIndex.alert)
    self:setTag(7)
    self:setSize(64, 64)

    self:add()
    self:moveTo(x, y)
end
